import 'package:flutter/material.dart';
import 'package:flutter_inbrain/flutter_inbrain.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  InBrain? inbrain;

  @override
  void initState() {
    inbrain = InBrain(apiClientId: '', apiSecret: '', isS2S: false, userId: '');
    inbrain!.setUserId('');
    inbrain!.checkForAvailableSurveys();
    super.initState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Container(),
      ),
    );
  }
}
